Bug 189247 - external usb 2.0 disk slow in reading
external usb 2.0 disk slow in reading
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-04-18 11:39 EDT by Frank-Michael Fischer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.16-1.2096_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-22 09:20:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank-Michael Fischer 2006-04-18 11:39:57 EDT
Description of problem: My external USB 2.0 disk normally running at about
20MB/s when writing and 25MB/s when reading on any other Linux system (Ubuntu,
Knoppix, SUSE) reads only at about 12MB/s when reading under FC5. Writing is ok.
The speed reduction does not depend on the filesystem in use (tested with vfat,
ext3 and xfs)

Version-Release number of selected component (if applicable): udev 084-13,
kernel 2.6.16-1.2080_FC5 i686

How reproducible: disconnect and reconnect the disk, then use:

dd if=/media//PORTY/mifi/test.dat of=/dev/null


time cp /media/PORTY/mifi/test.dat /dev/null

Actual results: 1073741824 bytes (1.1 GB) copied, 88.8305 seconds, 12.1 MB/s

Expected results: 1073741824 bytes (1.1 GB) copied, 50.8846 seconds, 21.1 MB/s

Additional info: changing the "dd" blocksize to some value between 512 and 8M
does not effect the reading speed.
Comment 1 Frank-Michael Fischer 2006-04-22 09:20:25 EDT
Problem gone with kernel 2.6.16-1.2096_FC5

Note You need to log in before you can comment on or make changes to this bug.